Subject: Fw: Mandatory Poster
From: "Mike" <[email-masked]>
To: "Brandy" <[email-masked]>
Date: Wed, 14 May 2008 17:54:16 -0400

Brandy,
Can you find out for me if you all have this information (below) is on file and/or if has been updated for this year?
Thank you,
Mike - LLPS

----- Original Message ----- 
From: Rhonda R. Ames 
To: Mike Bishop 
Sent: Tuesday, May 13, 2008 4:22 PM
Subject: Mandatory Poster

Mike,

I'm guessing paperwork may be with Hall & Romkema, but will you look around to see if you have received the Michigan Annual Report.  Michigan usually sends it pre-printed and generally it just needs to be verified and pay a fee.  

I believe this report is generally due right around this time, typically the 15th of May I think.  Let me know what you find.  Thanks.

Rhonda R. Ames
Knaggs, Harter, Brake & Schneider, P.C.
Lansing, Michigan
(517) 622-0590